Subject: bug#13363: Documentation bug - nXML mode: C-return is not defined as stated

From: John Brown <[email-masked]>
Date: Sat, 5 Jan 2013 17:26:20 -0800 (PST)

Hello Glenn,

Glenn Morris wrote:
> 
> John Brown wrote:
> 
>>  The nXML mode documentation distributed with Emacs (24.2.1)
>>  states:
>> 
>>  <C-return> performs completion on the symbol preceding point.
> 
> That was fixed in the sources some time ago.
> 
>>  The GNU Emacs manual at
>>  http://www.gnu.org/software/emacs/manual/html_mono/emacs.html:
>>  also states:
>> 
>>  "The major mode for editing XML documents is called nXML mode.
>>  This is a powerful major mode that can recognize many existing
>>  XML schema and use them to provide completion of XML elements
>>  via C-<RET> or M-<TAB> ..."
> 
> Thanks, I fixed that in the source too. (The web-page probably won't be
> regenerated till at least when 24.3 is released though.)
> 

Looking at nxml-mode.el, I see that the correct keystroke is M-TAB.
Since this combination is used to switch from one main application
window to the next by the MS Windows and Ubuntu Linux GUIs (and
no doubt other GUIs because they tend to copy one another),it is
likely to be a problem for many users.

I recommend that the documentation suggest ways to work around
this.

Regards,
John brown.